> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/modifyeiptrafficpackage.md).

# ModifyEipTrafficPackage

## 1. API Description

This API (ModifyEipTrafficPackage) is used to Adjust the traffic package of the elastic public IP.

{% hint style="info" %}
**Notes**

* Only EIPs in the "Bound" or "Unbound" state are supported for this operation.
* The international route (PathBasedBandwidthIP) does not support this operation.
* The size of the guaranteed traffic package is only valid for billing periods of one month.
* This operation is executed asynchronously. Once the call is successful, the change of the traffic package will be processed in the background. You can obtain the current operation status by querying the `operationInfo` field of the EIP list interface.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type   | Description                                                               |
| ------------------ | -------- | ------ | ------------------------------------------------------------------------- |
| eipId              | Yes      | String | The unique identification ID of EIP.                                      |
| trafficPackageSize | Yes      | Float  | <p>Traffic package size, measured in TB.</p><p>Value range: \[0.0, +)</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Adjust the EIP traffic package to 10TB.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyEipTrafficPackage
<Common Request Params>

Request：
{
    "eipId": "< EipId >",
    "trafficPackageSize": 10
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                                         | Description                                                                                                    |
| ---------------- | ------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------- |
| 404              | INVALID\_EIP\_NOT\_FOUND                                           | Elastic IP does not exist.                                                                                     |
| 400              | OPERATION\_DENIED\_EIP\_IN\_RISK\_CONTROL                          | This operation is not supported for elastic IPs under risk control.                                            |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT                       | Operation is not supported for the elastic IP in current status.                                               |
| 400              | OPERATION\_DENIED\_FOR\_PATH\_BASED\_FLOW\_PACKAGE\_NOT\_SUPPORTED | Traffic package changes are not supported for PathBasedBandwidthIP.                                            |
| 400              | OPERATION\_DENIED\_FLOW\_PACKAGE\_NOT\_SUPPORTED\_HOUR\_PERIOD     | The current product cycle is based on hourly billing and does not support setting a minimum data package size. |
| 400              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT            | IP network billing type is not supported.                                                                      |
| 400              | OPERATION\_DENIED\_LATEST\_OPERATION\_NOT\_FINISHED                | The previous operation has not been completed or has failed. Please try again later.                           |
| 400              | OPERATION\_DENIED\_EIP\_NO\_FLOW\_PACKAGE                          | The EIP has not been configured with a traffic package, and this operation is not supported.                   |
